Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510911 - [Regression] Can't enable/disable roles on 5.9.0.7
Summary: [Regression] Can't enable/disable roles on 5.9.0.7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Beta 1
: 5.9.0
Assignee: Eric Winchell
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:configuration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 12:43 UTC by luke couzens
Modified: 2018-03-06 15:29 UTC (History)
11 users (show)

Fixed In Version: 5.9.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 15:29:38 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description luke couzens 2017-11-08 12:43:08 UTC
Description of problem:Can't enable/disable roles after upgrading appliance from 5.8 to 5.9


Version-Release number of selected component (if applicable):5.9.0.5


How reproducible:100%


Steps to Reproduce:
1.provision 5.8 appliance
2.configure database
3.add latest repos
4.stop evm
5.yum update
6.rake db:migrate
7.rake evm:automate:reset
8.start evm
9.try to enable/disable roles

Actual results:
Save button is missing from the UI

Expected results:
role changes savable

Additional info:
I run this from 5.8.2.3

Comment 2 luke couzens 2017-11-08 16:24:00 UTC
I actually upgraded to 5.9.0.7 (the repos just changed as I was testing this)

I have just checked this out on a fresh 5.9.0.7 appliance and it seems that it is broken out of the box.

Comment 4 Tasos Papaioannou 2017-11-08 20:01:47 UTC
FYI, if I click on Analysis Profiles, then back on the Server in the accordion menu, then the Save and Reset buttons show up and stay visible until I log out and log back in to the web UI.

I also see the missing Save and Reset button issue on other tabs (Authentication, Workers, Custom Logos, Advanced) for the sever, and on the C & U Collection tab for the region.

Comment 5 Matouš Mojžíš 2017-11-13 14:14:14 UTC
Verified in 5.8.0.9.
Buttons are displayed on Configuration page in every tab.

Comment 6 CFME Bot 2017-11-29 20:34:38 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c03b8fb599102cba14baae5037ab1c8e46c66312

commit c03b8fb599102cba14baae5037ab1c8e46c66312
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 9 09:50:13 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Nov 9 13:11:29 2017 -0500

    Merge pull request #2685 from ManageIQ/revert-2618-form_button_cleanup1
    
    Revert "form button styling clean up"
    (cherry picked from commit 36b7cf1731b4437dd225aaed0e2fc1118e57cbfe)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511340
    https://bugzilla.redhat.com/show_bug.cgi?id=1510911
    https://bugzilla.redhat.com/show_bug.cgi?id=1511192
    https://bugzilla.redhat.com/show_bug.cgi?id=1511188
    https://bugzilla.redhat.com/show_bug.cgi?id=1510650
    https://bugzilla.redhat.com/show_bug.cgi?id=1511325
    https://bugzilla.redhat.com/show_bug.cgi?id=1511542

 app/assets/stylesheets/patternfly_overrides.scss   |  15 +-
 app/views/layouts/_x_dialog_buttons.html.haml      | 105 ++++----
 app/views/layouts/_x_edit_buttons.html.haml        | 264 ++++++++++-----------
 app/views/layouts/_x_form_buttons.html.haml        |   2 +-
 .../layouts/angular/_paging_div_buttons.html.haml  |   3 +-
 app/views/vm_common/_right_size.html.haml          |   2 +-
 6 files changed, 191 insertions(+), 200 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.